Apple исправила уязвимость Shellshock в OS X

Компания выпустила обновление APPLE-SA-2014-09-29-1, которое исправляет недавно обнаруженную уязвимость Shellshock для OS X версий Lion, Mountain Lion и Mavericks. Это обновление доставляет новую версию интерпретатора Bash v.3.2.53 и исправляет две относящиеся к Shellshock уязвимости: CVE-2014-6271 (Stephane Chazelas) и CVE-2014-7169 (Tavis Ormandy). Первая уязвимость представляет из себя изначально обнаруженный баг в Bash, который приводит к исполнению ненадлежащих инструкций интерпретатора, а вторая является багом в первом патче к Bash, который также содержал ошибку и мог приводить к несанкционированному исполнению инструкций.



Источник: RSS-лента http://habrahabr.ru/post/238641/

  • 0


0 комментариев

Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.